Bug 189237 - Kernel panic on rpm uninstall
Kernel panic on rpm uninstall
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-18 11:06 EDT by Felix Bellaby
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 16:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Bellaby 2006-04-18 11:06:42 EDT
Description of problem:

The selinux-policy post-install script creates a /etc/selinux/config that sets
SELINUX=enforcing but there is no uninstall script to remove this file or reset
the enforcing policy.

As a result, "rpm -U selinux-policy" causes a kernel panic on reboot.

Version-Release number of selected component (if applicable):

selinux-policy-2.2.23-15

How reproducible:

rpm -U selinux-policy
reboot

Additional info:

I can not see any big problem with just wiping out the /etc/selinux/config file
on rpm uninstall. It should be useless once selinux-policy has gone.
Comment 1 Felix Bellaby 2006-04-18 11:09:43 EDT
Whoops! Should read "rpm -e selinux-policy" above
Comment 2 Daniel Walsh 2006-04-19 11:15:56 EDT
Fixed in selinux-policy-2.2.33-2
in Rawhide.  Will go in to the next text release for FC-5

echo "SELINUX=disabled" > /etc/selinux/config

should fix the problem
Comment 4 Daniel Walsh 2007-03-28 16:04:30 EDT
Closing bugs

Note You need to log in before you can comment on or make changes to this bug.